<p-growl [(value)]="msgs" baseZIndex=14000></p-growl>
<div class="col-lg-3"></div>
<div class="col-lg-6"> 
	<h1 class="text-center form-edit">{{titulo}}</h1>
	<div>
		<form class="col-md-10 form-edit" #userUpdateForm="ngForm" (submit)="onSubmit()">
		  <p>
		    <label>Nombre:</label>
		    <input type="text" #name="ngModel" name="name" [(ngModel)]="user.name" class="form-control" required>
		    <span class="required" *ngIf="!name.valid && name.touched">
		      * Ingrese su nombre
		    </span>
		  </p>
		  <p>
		    <label>Apellido:</label>
		    <input type="text" #surname="ngModel" name="surname" [(ngModel)]="user.surname" class="form-control" required>
		  </p>
		    <span *ngIf="!surname.valid && surname.touched" class="required">
		      * Ingrese su apellido
		    </span>
		  <p>
		    <label>Correo electrónico:</label>
		    <input type="text" #email="ngModel" name="email" [(ngModel)]="user.email" class="form-control" required>
		    <span *ngIf="!email.valid && email.touched" class="required">
		      * Ingrese su email
		    </span>
		  </p>
		
		<div class="text-center">
		  <div class="image_for_edit" *ngIf="user.image && user.image != 'null'">
		  	<img src="{{user.imageURL}}" style="width: 100px;" >
		  </div>

		  
		  	<label>Subí tu imagen:</label>
		  	<input type="file" placeholder="Seleccioná una imagen..." (change)="fileChangeEvent($event)">
		 </div>
		  <br>
		<div class="text-center">
		  <input type="submit" class="text-center "value="Actualizar mis datos" class="btn btn-primary">
		</div>
		</form>
	</div>
</div>